Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid
Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        '
        'Define a new table
        '
        Dim _dt As New DataTable
        '
        'Add 4 columns
        '
        _dt.Columns.Add("Column1", GetType(String))
        _dt.Columns.Add("Column2", GetType(String))
        _dt.Columns.Add("Column3", GetType(String))
        _dt.Columns.Add("Column4", GetType(String))
        '
        'Bind new table to grid
        '
        UltraGrid1.DataSource = _dt

        MessageBox.Show("Please try to resize the 2nd group by puting your mouse over the separator betwee Group 2 Header and Group 3 header. NOT Column Headers. If you are not clear, please refer to attached Picture in the program folder", "Next", MessageBoxButtons.OK)

    End Sub
    Protected Sub grdTemplate_InitializeLayout(ByVal sender As Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout

        Dim oGrid As UltraGrid
        oGrid = CType(sender, UltraGrid)

        oGrid.DisplayLayout.Bands(0).LevelCount = 2
        oGrid.DisplayLayout.UseFixedHeaders = True


        '-------------- Start of Formatting Band 0 in the oGrid ------------------------	
        With oGrid.DisplayLayout.Bands(0).Groups
            .Clear()
            .Add("1", "Group 1 Header")
            .Add("2", "Group 2 Header")
            .Add("3", "Group 3 Header")
        End With

        Dim _mygroups As Infragistics.Win.UltraWinGrid.GroupsCollection
        _mygroups = oGrid.DisplayLayout.Bands(0).Groups

        With oGrid.DisplayLayout.Bands(0)
            With .Columns(0)
                .Group = _mygroups("1")
                .Level = 0
                _mygroups(0).Header.Fixed = True
                _mygroups(0).Header.FixedHeaderIndicator = FixedHeaderIndicator.Button
                .Header.Caption = "Column 1 header"
            End With
            With .Columns(1)
                .Group = _mygroups("2")
                .Level = 0
                _mygroups(1).Header.Fixed = True
                _mygroups(1).Header.FixedHeaderIndicator = FixedHeaderIndicator.Button
                _mygroups(1).Width = 150
                .Header.Caption = "Column 2 header"
            End With
            With .Columns(2)
                .Group = _mygroups("3")
                .Level = 0
                _mygroups(2).Width = 150
                .Header.Caption = "Column 3 header"
            End With
            With .Columns(3)
                .Group = _mygroups("3")
                .Level = 1
                .Header.Caption = "Column 4 header"

            End With
        End With
        
    End Sub
End Class
